エンジンの提案はすでに確定しています
APIは、この問題が発生すると409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/engine-suggestion-not-pendingです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。
このエンジンの提案はすでに適用されています。提案を再読み込みして、現在の状態を確認してください。
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、次のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
id | string |
decision | "Applied" | "Dismissed" |
例#
json
{
"detail": "This engine suggestion is already applied. Reload the suggestions to see where it stands.",
"id": "<id>",
"decision": "Applied",
"type": "https://lingo.dev/docs/api/errors/engine-suggestion-not-pending",
"status": 409,
"title": "Engine suggestion already decided"
}このエラーを返すエンドポイント#
POST /v2/engine-suggestions/{id}/applyPOST /v2/engine-suggestions/{id}/dismiss